---
title: "Retrieve PCI Statuses By Code"
slug: "retrieve-pci-statuses-by-code"
updated: 2026-05-26T12:53:14Z
published: 2026-05-26T12:53:48Z
canonical: "developers.cmicglobal.com/retrieve-pci-statuses-by-code"
---

> ## Documentation Index
> Fetch the complete documentation index at: https://developers.cmicglobal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve PCI Statuses By Code

Get/cm-rest-api/rest/1/cmstatus

## Query Standards

### Finder

Following row finders are available for data filtering and optimizing request performance.

- Cm Status Finder
- By UUID

#### Cm Status Finder

Recommended finder parameters. Refer to Query Parameters for example.

| Parameter | Description | Sample |
| --- | --- | --- |
| CompCode | Company Code | 001 |
| StatusCode | Status Code | REVISED |

#### By UUID

This is an optional finder for querying a specific PCI Status by row ID.

| Parameter | Description | Sample |
| --- | --- | --- |
| /VUUID | The VUuid attribute is the Unique row ID | /cm-rest-api/rest/1/cmstatus/E42E7D2C820952B6E05316821FAC681D |

SecurityHTTPType basic

Basic authentication

Query parametersfinderstringExampleCmStatusFinder; CompCode=RKC, StatusCode=BETFl2K9
limitintegerExample500
offsetintegerExample0
totalResultsbooleanExampletrue
orderBystringExampleCmstVUuid:desc

Responses200

OK

HeadersContent-TypestringExampleapplication/vnd.oracle.adf.resourcecollection+json
<select class='api-response-data' aria-label='Media type'><option value='86dedfdf-31fa-41be-8cce-0ec517412c1e'>application/json</option>
</select>

```json
{
  "items": [
    {
      "CmstCompCode": "RKC",
      "CmstCompName": "RKC Construction Company",
      "CmstStatCode": "BETFl2K9",
      "CmstStatName": "bobicus",
      "CmstPendingTypeCode": "A",
      "CmstProceedingFlag": null,
      "CmstInclForecastFlag": null,
      "CmstPciBillingFlag": null,
      "CmstAtRiskFlag": "N",
      "CmstIsPciBillingEnabled": "N",
      "CmstInclWipCostFlag": "N",
      "CmstInclWipRevFlag": "N",
      "CmstIuCreateDate": "2023-06-01T21:08:19Z",
      "CmstIuUpdateDate": "2023-06-01T21:08:20Z",
      "CmstVUuid": "FD189123ED913617E05327261DAC33F9",
      "CmstExcludeLovFlag": "N",
      "links": [
        {
          "rel": "self",
          "href": "https://qamob.cmicpaas.com:443/cmicqadaily/cm-rest-api/rest/1/cmstatus/FD189123ED913617E05327261DAC33F9",
          "name": "cmstatus",
          "kind": "item"
        },
        {
          "rel": "canonical",
          "href": "https://qamob.cmicpaas.com:443/cmicqadaily/cm-rest-api/rest/1/cmstatus/FD189123ED913617E05327261DAC33F9",
          "name": "cmstatus",
          "kind": "item"
        }
      ]
    }
  ],
  "totalResults": 1,
  "count": 1,
  "hasMore": false,
  "limit": 500,
  "offset": 0,
  "links": [
    {
      "rel": "self",
      "href": "https://qamob.cmicpaas.com:443/cmicqadaily/cm-rest-api/rest/1/cmstatus",
      "name": "cmstatus",
      "kind": "collection"
    }
  ]
}
```

object
